## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemCallTemplate Class Reference

`#include <ElemCallTemplate.hpp>`

Inheritance diagram for ElemCallTemplate

Collaboration diagram for ElemCallTemplate:

List of all members.

## Public Methods

- ElemCallTemplate ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:call-template" element. More...
- virtual ~ElemCallTemplate ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void execute (StylesheetExecutionContext& executionContext) const
    Execute the element's primary function. More...
- virtual void postConstruction ( StylesheetConstructionContext& constructionContext, const NamespacesHandler& theParentHandler)
    Called after construction is completed.
- const ElemTemplate* getTemplate () const

## Protected Methods

- virtual bool childTypeAllowed (int xslToken) const
    Given an xsl token type, determine whether or not a child of that type is allowed. More...

## Constructor & Destructor Documentation

ElemCallTemplate::ElemCallTemplate ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to an "xsl:call-template" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemCallTemplate::~ElemCallTemplate ( | )`[virtual]`

## Member Function Documentation

virtual bool ElemCallTemplate::childTypeAllowed ( | int xslToken ) const`[protected, virtual]`

Given an xsl token type, determine whether or not a child of that type is allowed.

This is so derived types can determine whether a particular type of child is allowed for the instance. It is called from appendChildElem().

The default is to allow no types (no children)

Parameters:

  xslToken | The xsl token value of the child.

Returns:
  true if the child is allowed, or false if not.

Reimplemented from ElemTemplateElement.

virtual void ElemCallTemplate::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Execute the element's primary function.

Subclasses of this function may recursively execute down the element tree.

Parameters:

  executionContext | The current execution context

Reimplemented from ElemTemplateElement.

virtual const XalanDOMString& ElemCallTemplate::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

const ElemTemplate * ElemCallTemplate::getTemplate ( | ) const`[]`

virtual void ElemCallTemplate::postConstruction ( | StylesheetConstructionContext & constructionContext,
| const NamespacesHandler & theParentHandler )`[virtual]`

Called after construction is completed.

Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemCallTemplate.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.